org.eclipse.microprofile.config.tck.configsources

## Class CustomConfigSourceProvider

- java.lang.Object
- - org.eclipse.microprofile.config.tck.configsources.CustomConfigSourceProvider

All Implemented Interfaces:
  ConfigSourceProvider

    public class CustomConfigSourceProvider
    extends Object
    implements ConfigSourceProvider

Author:
  Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`CustomConfigSourceProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<ConfigSource>` `getConfigSources(ClassLoader forClassLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomConfigSourceProvider

    public CustomConfigSourceProvider()

### Method Detail

#### getConfigSources

    public Iterable<ConfigSource> getConfigSources(ClassLoader forClassLoader)

Specified by:
  `getConfigSources` in interface `ConfigSourceProvider`